[libgxps] release.sh: Include generated documentation in the tarball



commit 7934fde6db35650b498fd1cb2172373a2e5ab33a
Author: Carlos Garcia Campos <carlosgc gnome org>
Date:   Wed Aug 9 14:24:22 2017 +0200

    release.sh: Include generated documentation in the tarball

 mesonscripts/release.sh |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)
---
diff --git a/mesonscripts/release.sh b/mesonscripts/release.sh
index 6fc6d33..1456e81 100755
--- a/mesonscripts/release.sh
+++ b/mesonscripts/release.sh
@@ -4,6 +4,7 @@ NAME="$1"
 VERSION="$2"
 
 test -n "${MESON_SOURCE_ROOT}" || exit 1
+test -n "${MESON_BUILD_ROOT}" || exit 1
 test -n "${NAME}" || exit 1
 test -n "${VERSION}" || exit 1
 
@@ -16,5 +17,10 @@ rm -f "${NAME}-${VERSION}.tar.xz"
 echo "Creating git archive…"
 git archive --prefix="${NAME}-${VERSION}/" --format=tar HEAD -o ${NAME}-${VERSION}.tar
 
+echo "Adding documentation to archive…"
+BUILD_DIR=$(realpath --relative-to=${MESON_SOURCE_ROOT} ${MESON_BUILD_ROOT})
+tar --transform "s|${BUILD_DIR}|${NAME}-${VERSION}|" -uf ${NAME}-${VERSION}.tar 
${BUILD_DIR}/docs/reference/html
+tar --transform "s|${BUILD_DIR}|${NAME}-${VERSION}|" -uf ${NAME}-${VERSION}.tar ${BUILD_DIR}/docs/tools/*.1
+
 echo "Compressing archive…"
 xz -f "${NAME}-${VERSION}.tar"


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]